require("scripts/style.lua" );
require("scripts/styles/mainmenustyle.lua");

MakeDialog
{
	Bitmap
    {
		image="common/screens/story/story_box",
		x=kCenter,
		y=kCenter,
	
	
        SetStyle(StoryTitleStyle),

        Text
        {
            label = "story_treatment_title",
            x = kCenter, y = 20,
            w = 500, h = 130,
            flags = kHAlignCenter + kVAlignCenter,
        },
        
        SetStyle(StoryJadeStyle),
        Text
        {
            label = "treatment_ minigame_intro",
            x = kCenter, y = kCenter + 55,
            w = 450, h = 300,
            --flags = kHAlignCenter + kVAlignCenter,
        };
        
        SetStyle(OrangeButtonStyle),
            
        -------------------------------------------------------------------
        -- make buttons
        BlgButton
        {
            name = "btnYes",
            label = "ok",
            x = 220, y = 400,
            width = 400, height = 200,
            positionMatrix = { x = 10, y = 10},
            graphics = {
            "common/screens/dialog_box/confirm_red",
                "",
                "",
                "",
        },
            
            close = true,
            command =
                function()
                    LaunchMiniGame("TreatmentFactoryMiniGame", true)
                end;
        },
    },
}